3

I am using Ubuntu 16.04 on a machine as a POS. Once the Epson TM-T20ii printer is loaded, it comes up with the following error:

CUPS server error  

The CUPS error_log shows this error: client-error-document-format-not-supported...

4

I see that Epson supplies a driver called "TM-Intelligent Printer" that seems to cover all the bases. It comes down as tmx-cups-2.0.3.0.tar.gz so if you save it to your Downloads folder.

Copy each line of command below; paste into a terminal; hit the Enter key after each paste; move to the next line. The commands to install:

cd Downloads
tar -zxvf tmx-cups-2.0.3.0.tar.gz
cd tmx-cups
sudo ./install.sh

If you delete what you have in your Printers folder for the TM before you start the above as you say the existing icon does not work. We hope the above does. Copy the above commands and paste them into a terminal.

| improve this answer | |
  • 1
    Hey guys, do you have an experience of using this printer under Ubuntu 16.04 or 18.04? Does it work well? Do you have any issues? – 4xy Nov 27 '18 at 19:48
  • 1
    It worked for me (partially, as it chopped off the upper side of the ticket) with an 80mm printer in ubuntu 18.04 – tebanep Apr 5 '19 at 1:13
  • Working perfectly on Ubuntu 18.04, make sure you have CUPS version 2.2.8 see: askubuntu.com/questions/1032847/… – Diego Ponciano Jun 11 at 5:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.